Subject: Re: linux-next: build failure after merge of the mm-nonmm-unstable tree

From: Andrew Morton <[email-masked]>
Date: Fri, 17 Oct 2025 14:34:55 -0700

On Fri, 17 Oct 2025 14:25:52 +0100 Mark Brown <[email-masked]> wrote:

> After merging the mm-nonmm-unstable tree, today's linux-next build
> (x86 allmodconfig) failed like this:
> 
> In file included from /tmp/next/build/samples/vfs/test-list-all-mounts.c:11:
> /tmp/next/build/samples/vfs/../../tools/testing/selftests/pidfd/pidfd.h:28:10: fatal error: kselftest.h: No such file or directory
>    28 | #include "kselftest.h"
>       |          ^~~~~~~~~~~~~

Well that:

#include "../../tools/testing/selftests/pidfd/pidfd.h"

was a strange thing to do.

I'll toss this on top:

--- a/samples/vfs/Makefile~selftests-complete-kselftest-include-centralization-fix
+++ a/samples/vfs/Makefile
@@ -1,4 +1,6 @@
 # SPDX-License-Identifier: GPL-2.0-only
 userprogs-always-y += test-fsmount test-statx mountinfo test-list-all-mounts
 
+CFLAGS += -I../../tools/testing/selftests
+
 userccflags += -I usr/include
_

but there's probably a better way...